Bug 8460 - GPRS APNs cannot be sorted by user and the default sort is inadequate
: GPRS APNs cannot be sorted by user and the default sort is inadequate
Status: RESOLVED WONTFIX
Product: Connectivity
ICD
: 5.0/(2.2009.51-1)
: All Maemo
: Low enhancement with 12 votes (vote)
: ---
Assigned To: unassigned
: icd-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-24 13:14 UTC by Mikko Mensonen
Modified: 2012-03-24 11:39 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Mikko Mensonen (reporter) 2010-01-24 13:14:27 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Create a new GPRS APN (for instance with fAPN or as stated in Bug 5791 )
2. Set connection mode to "Any connection" or GPRS (has the name of the first
APN here)
3. Disconnect from the internet, produce some activity that requires an
internet connection and let the device connect by itself

EXPECTED OUTCOME:
A GPRS access point defined with a higher priority (this "feature" does not
exist) will get connected first.

ACTUAL OUTCOME:
The device always connects to the *last apn created*

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
fAPN

OTHER COMMENTS:
The phone obviously was not meant to have more than one user-created apn, so
this is hardly a bug. But for those of use who have created APNs manually (for
example for MMS), the lack of prioritising APNs might lead to a wrong APN being
automatically connected to (e.g MMS instead of internet) without the user even
noticing it.

The "workaround" for this is to simply create more access points, in reverse
order, so that your "default" is at the top.

(note that the APN list in the GUI is always sorted alphabetically - this has
nothing to do with the connection order)



User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US) AppleWebKit/532.6
(KHTML, like Gecko) Chrome/4.0.266.0 Safari/532.6
Comment 1 EC 2010-01-25 16:48:38 UTC
Confirming this. I'd not call this an enhancement request, I think that the
impossibility to choose the default GPRS APN is a bug (I'd set severity to
major).
Comment 2 S. Kalogreades 2010-01-30 00:33:42 UTC
*** This bug has been confirmed by popular vote. ***
Comment 3 Andre Klapper maemo.org 2012-03-24 11:39:10 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )